Name: AcetoneISO2
Version: 2.0.2
Release: alt1
Summary: CD/DVD Image Manipulator
Group: Archiving/Cd burning
License: GPLv3
Url: http://www.acetoneteam.org/
Source0: http://downloads.sourceforge.net/acetoneiso2/acetoneiso2_%{version}_source.tar.bz2
Patch0: acetoneiso2-desktop.patch
Patch1: acetoneiso2-2.0.2-no-optdirs.patch
Patch2: AcetoneISO2-2.0.2-no-poweriso-for-non-x86.patch

# Automatically added by buildreq on Sun Aug 24 2008 (-bi)
BuildRequires: desktop-file-utils gcc-c++ libqt4-devel

Requires: p7zip, cdrdao
Requires: fuse
Requires: gnupg, pinentry-qt
# Overkill, but I'm being thorough
Requires: util-linux, coreutils

%description
AcetoneISO2: The CD/DVD image manipulator for Linux, it can do the following:
- Mount and Unmount ISO, MDF, NRG (if iso-9660 standard)
- Convert / Extract / Browse to ISO : *.bin *.mdf *.nrg *.img *.daa *.cdi
  *.xbx *.b5i *.bwi *.pdi
- Play a DVD Movie ISO with most used media players
- Generate an ISO from a Folder or CD/DVD
- Generate/Check MD5 file of an image
- Encrypt/decrypt an image
- Split image into X megabyte chunks
- Highly compress an image
- Rip a PSX cd to *.bin to make it work with epsxe/psx emulators
- Service-Menu support for Konqueror
- Restore a lost CUE file of *.bin *.img

%prep
%setup -q -n acetoneiso2
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
cd src/
export PATH=$PATH:%_qt4dir/bin
qmake "QMAKE_CFLAGS+=%optflags" "QMAKE_CXXFLAGS+=%optflags"
%make_build

%install
cd src
make INSTALL_ROOT=$RPM_BUILD_ROOT install
mv $RPM_BUILD_ROOT%_datadir/applications/AcetoneISO.desktop $RPM_BUILD_ROOT%_datadir/applications/AcetoneISO2.desktop

desktop-file-install --vendor ""			\
	--dir $RPM_BUILD_ROOT%_datadir/applications	\
	--add-category System				\
	$RPM_BUILD_ROOT%_datadir/applications/AcetoneISO2.desktop

%files
%doc AUTHORS CHANGELOG LICENSE README
%_bindir/acetoneiso2
%_datadir/acetoneiso2
%_datadir/applications/AcetoneISO2.desktop
%_datadir/pixmaps/Acetino2.png
%_datadir/apps/konqueror/servicemenus/acetoneiso2-*
%_datadir/apps/d3lphin/servicemenus/acetoneiso2-*

%changelog
* Sun Aug 24 2008 Motsyo Gennadi <drool@altlinux.ru> 2.0.2-alt1
- initial build for Linux from RedHat package
